<?php

if (!defined('ABSPATH')) exit;


function felix_pinterest_add_action_links($links) {
    $links[] = '<a href="' . esc_url(admin_url('admin.php?page='.FELIX_PINTEREST_TEXTDOMAIN)) . '">Settings</a>';
    $links[] = '<a href="http://codecanyon.net/user/askerov/portfolio?ref=askerov" target="_blank">More plugins by Askerov</a>';
    return $links;
}
add_filter('plugin_action_links_' . FELIX_PINTEREST_PLUGIN_SLUG, 'felix_pinterest_add_action_links');


function felix_pinterest_admin_init() {
    wp_register_style('felix-admin', plugins_url('assets/felix-admin.css', FELIX_PINTEREST_FILE));
    wp_register_script('felix-admin', plugins_url('assets/felix-admin.js', FELIX_PINTEREST_FILE));

    wp_register_style('felix-css', plugins_url('assets/felix/css/felix.bundled.css', FELIX_PINTEREST_FILE));
    wp_register_script('felix-js', plugins_url('assets/felix/js/felix.bundled.js', FELIX_PINTEREST_FILE));

}

function felix_pinterest_admin_scripts() {
    wp_enqueue_style('felix-css');
    wp_enqueue_style('felix-admin');

    wp_enqueue_script('felix-js');
    wp_enqueue_script('felix-admin');
}

function felix_pinterest_create_menu() {
    $page_hook = add_menu_page(__('Felix', FELIX_PINTEREST_TEXTDOMAIN) , __('Felix', FELIX_PINTEREST_TEXTDOMAIN), 'manage_options', FELIX_PINTEREST_SLUG, 'felix_pinterest_settings_page', plugins_url('assets/img/felix-wp-icon.png', FELIX_PINTEREST_FILE));
    add_action('admin_init', 'felix_pinterest_admin_init');
    add_action('admin_print_styles-' . $page_hook, 'felix_pinterest_admin_scripts');
}
add_action('admin_menu', 'felix_pinterest_create_menu');


function felix_pinterest_settings_page() {
?>
    <div class="felix-demo">
        <div class="felix-demo-header">
            <div class="felix-demo-header-image">
                <?php echo '<img src="'.FELIX_PINTEREST_URL.'assets/img/logo-felix.png" />'?>
            </div>
            <div class="felix-demo-header-text-container">
                <div class="felix-demo-header-title">Felix - Pinterest WordPress Plugin</div>
                <div class="felix-demo-header-desc">Version <?php echo FELIX_PINTEREST_VERSION; ?></div>
                <div>
                  <a href="https://codecanyon.net/item/felix-pinterest-responsive-wordpress-plugin/17661434?ref=askerov" target="_blank" class="felix-documentation">Get PRO version</a> | <a href="http://pinterest.cidcode.net/wp/documentation.html" target="_blank" class="felix-documentation">Documentation</a>

                </div>
            </div>
        </div>
        <div class="felix-demo-container">
            <div class="felix-demo-sidebar">
                <ul class="felix-demo-accordion">
                    <li class="felix-demo-accordion-item">
                        <a class="felix-demo-accordion-item-title">Source</a>
                        <div class="felix-demo-accordion-item-content">
                            <div class="form-element">
                                <label for="profile_username">Username</label><br />
                                <input type="text" class="felix-demo-textbox form-input felix-plugin-property"
                                       data-type="profile_username"
                                       name="profile_username"
                                       id="profile_username"
                                       value="envato" />
                            </div>
                            <div class="form-element">
                                <label for="board_slug">Board</label>
                                <br />
                                <div class="dropdown">
                                    <select id="board_slug" name="one"
                                            data-type="board_slug"
                                            class="dropdown-select form-input felix-plugin-property">
                                        <option value="all">All</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </li>

                    <li class="felix-demo-accordion-item">
                        <a class="felix-demo-accordion-item-title">Sizes</a>
                        <div class="felix-demo-accordion-item-content">
                            <div class="form-element">
                                <label for="widget_width">Width</label><br />
                                <input type="text" class="felix-demo-textbox form-input felix-plugin-property" data-type="widget_width" name="widget_width" id="widget_width" value="auto" />
                            </div>
                            <div class="form-element">
                                <label for="widget_height">Height</label><br />
                                <input type="text" class="felix-demo-textbox form-input felix-plugin-property" data-type="widget_height" name="widget_height" id="widget_height" value="auto" />
                            </div>
                            <div class="form-element">
                                <label for="pin_width">Pin width</label><br />
                                <input type="number" class="felix-demo-textbox form-input felix-plugin-property" data-type="pin_width" name="pin_width" id="pin_width" value="237" />
                            </div>
                        </div>
                    </li>
                    <li class="felix-demo-accordion-item">
                        <a class="felix-demo-accordion-item-title">Language</a>
                        <div class="felix-demo-accordion-item-content">
                            <div class="form-element">
                                <label for="lang">Language</label>
                                <br />
                                <div class="dropdown">
                                    <select id="lang" name="lang" data-type="lang" class="felix-plugin-property dropdown-select form-input">
                                        <option value="en" selected="selected">English</option>
                                        <option value="fr">Français</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </li>
                    <li class="felix-demo-accordion-item">
                        <a class="felix-demo-accordion-item-title">Header</a>
                        <div class="felix-demo-accordion-item-content">
                            <div class="form-element">
                                <input type="checkbox" class="felix felix-plugin-property" value="1" data-type="show_header" id="show_header" checked />
                                <label for="show_header">Show Header</label>
                            </div>
                            <div class="form-element">
                                <input type="checkbox" class="felix felix-plugin-property" data-type="show_profile_image" id="show_profile_image" checked />
                                <label for="show_profile_image">Show profile image</label>
                            </div>
                            <div class="form-element">
                                <input type="checkbox" class="felix felix-plugin-property" data-type="show_profile_name" id="show_profile_name" checked />
                                <label for="show_profile_name">Show profile name</label>
                            </div>
                            <div class="form-element">
                                <input type="checkbox" class="felix felix-plugin-property" data-type="show_profile_location" id="show_profile_location" checked />
                                <label for="show_profile_location">Show profile location</label>
                            </div>
                            <!-- <div class="form-element">
                                <input type="checkbox" class="felix felix-plugin-property" data-type="show_profile_desc" id="show_profile_desc" checked />
                                <label for="show_profile_desc">Show profile description</label>
                            </div>
                            <div class="form-element">
                                <input type="checkbox" class="felix felix-plugin-property" data-type="show_profile_board_tab" id="show_profile_board_tab" checked />
                                <label for="show_profile_board_tab">Show board tab</label>
                            </div>
                            <div class="form-element">
                                <input type="checkbox" class="felix felix-plugin-property" data-type="show_profile_pin_tabs" id="show_profile_pin_tabs" checked />
                                <label for="show_profile_pin_tabs">Show pin tab</label>
                            </div>
                            <div class="form-element">
                                <input type="checkbox" class="felix felix-plugin-property" data-type="show_profile_followers_tab" id="show_profile_followers_tab" checked />
                                <label for="show_profile_followers_tab">Show followers tab</label>
                            </div>
                            <div class="form-element">
                                <input type="checkbox" class="felix felix-plugin-property" data-type="show_profile_follow_button" id="show_profile_follow_button" checked />
                                <label for="show_profile_follow_button">Show follow button</label>
                            </div> -->
                            <!-- <div class="form-element">
                                <input type="checkbox" class="felix felix-plugin-property" data-type="profile_clickable" id="profile_clickable" checked />
                                <label for="profile_clickable">Profile clickable</label>
                                <div class="desc">If this option is true users can click user name and return main page of plugin</div>
                            </div> -->

                            <!-- <div class="form-element">
                                <input type="checkbox" class="felix felix-plugin-property" data-type="show_board_name" id="show_board_name" checked />
                                <label for="show_board_name">Show board name</label>
                            </div>
                            <div class="form-element">
                                <input type="checkbox" class="felix felix-plugin-property" data-type="show_board_desc" id="show_board_desc" checked />
                                <label for="show_board_desc">Show board description</label>
                            </div> -->
                            <!-- <div class="form-element">
                                <label for="profile_full_name">Custom user full name</label><br />
                                <input type="text" class="felix-demo-textbox form-input felix-plugin-property" data-type="profile_full_name" name="profile_full_name" id="profile_full_name" value="" />
                            </div>
                            <div class="form-element">
                                <label for="board_name">Custom board name</label><br />
                                <input type="text" class="felix-demo-textbox form-input felix-plugin-property" data-type="board_name" name="board_name" id="board_name" value="" />
                            </div> -->
                        </div>
                    </li>
                    <li class="felix-demo-accordion-item">
                        <a class="felix-demo-accordion-item-title">Content</a>
                        <div class="felix-demo-accordion-item-content">
                            <div class="form-element">
                                <input type="checkbox" class="felix felix-plugin-property" id="show_pin_save_button" data-type="show_pin_save_button" checked />
                                <label for="show_pin_save_button">Show pin save button</label>
                            </div>
                            <div class="form-element">
                                <input type="checkbox" class="felix felix-plugin-property" id="show_pin_repin_count" data-type="show_pin_repin_count" checked />
                                <label for="show_pin_repin_count">Show pin repin count</label>
                            </div>
                            <div class="form-element">
                                <input type="checkbox" class="felix felix-plugin-property" id="show_pin_like_count" data-type="show_pin_like_count" checked />
                                <label for="show_pin_like_count">Show pin like count</label>
                            </div>
                            <div class="form-element">
                                <input type="checkbox" class="felix felix-plugin-property" id="enable_pin_popup" data-type="enable_pin_popup" checked />
                                <label for="enable_pin_popup">Enable popup when click pin</label>
                                <div class="desc"></div>
                            </div>
                            <div class="form-element">
                                <label for="pin_image_effect">Pin image effect</label>
                                <div class="desc">Intagram Image Filters</div>
                                <div class="dropdown">
                                    <select id="pin_image_effect" name="pin_image_effect"
                                            data-type="pin_image_effect"
                                            class="dropdown-select form-input felix-plugin-property">
                                        <option value="" selected="selected">None</option>
                                        <option value="aden">Aden</option>
                                        <option value="brooklyn">Brooklyn</option>
                                        <option value="clarendon">Clarendon</option>
                                        <option value="earlybird" selected="selected">Earlybird</option>

                                    </select>
                                </div>
                            </div>
                            <div class="form-element">
                                <label for="scroll_effect">Scroll animation effect</label>
                                <br />
                                <div class="dropdown">
                                    <select id="scroll_effect" data-type="scroll_effect" name="scroll_effect" class="dropdown-select form-input felix-plugin-property">
                                        <option value="basic" selected="selected">Basic</option>
                                        <option value="bounce">Bounce</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </li>
                    <!-- <li class="felix-demo-accordion-item">
                        <a class="felix-demo-accordion-item-title">Colors</a>
                        <div class="felix-demo-accordion-item-content">
                            <div class="form-element">
                                <input type='text' class="header_bg_color" data-type="header_bg_color" id="header_bg_color" value="#fff" />
                                <label for="header_bg_color">Header background color</label>
                            </div>
                            <div class="form-element">
                                <input type='text' class="content_bg_color" data-type="content_bg_color" id="content_bg_color" value="#E9E9E9" />
                                <label for="content_bg_color">Content background color</label>
                            </div>
                            <div class="form-element">
                                <input type='text' class="loading_color_1" data-type="loading_color_1" id="loading_color_1" value="#CA1C21" />
                                <label for="loading_color_1">Loading color 1</label>
                            </div>
                            <div class="form-element">
                                <input type='text' class="loading_color_2" data-type="loading_color_2" id="loading_color_2" value="#E7E7E7" />
                                <label for="loading_color_2">Loading color 2</label>
                            </div>
                        </div>
                    </li> -->

                    <li class="felix-demo-accordion-item green">
                        <a class="felix-demo-accordion-item-title">Get Shortcode</a>
                        <div class="felix-demo-accordion-item-content">
                            <div class="form-element">
                                <label for="felix_hmtl" style="font-size: 14px;">Copy this shortcode and paste it into any page or post:</label>
                                <textarea class="felix-demo-textbox form-input" id="felix_hmtl" readonly="readonly" onfocus="this.select();" style="height:70px;"></textarea>
                            </div>

                        </div>
                    </li>
                </ul>
            </div>
            <div class="felix-demo-content">
                <div class="pinterest-demo-preview"></div>
            </div>
        </div>

    </div>
    <?php
}
