<?php

if (!defined('ABSPATH')) exit;

function felix_pinterest_str_format($format /*, ... */)
{
    $args = func_get_args();
    return preg_replace_callback('/\{(\\d)\}/',
        function ($m) use ($args) {
            return $args[$m[1] + 1];
        },
        $format
    );
}

function felix_pinterest_scripts()
{
    if (is_single() || is_page()) {
        wp_enqueue_style('felix-css', FELIX_PINTEREST_URL . 'assets/felix/css/felix.bundled.css');
        wp_enqueue_style('flik_timeline-font-awesome', 'https://maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css');

        wp_enqueue_script("jquery");
        wp_enqueue_script('felix-js', FELIX_PINTEREST_URL . 'assets/felix/js/felix.bundled.js');
    }
}

add_action( 'wp_enqueue_scripts', 'felix_pinterest_scripts' );

function felix_pinterest_short_code($atts)
{
    global $felix_pinterest_defaults;

    $_id=rand (0,9999);

    $_output='<div id="felix_'.$_id.'"></div><script>jQuery("#felix_'.$_id.'").felix({';
    foreach($felix_pinterest_defaults as $key => $value){
        $_output.= $key.':{';
        foreach($value as $key_v => $value_v) {
            if (strlen($atts[$value_v['property']])>1){
               if(sizeof(explode('/',$atts[$value_v['property']]))>1){
                   $_output.= $key_v.':\''.explode(',',$atts[$value_v['property']])[2].'\',';
               }else{
                   if($atts[$value_v['property']]=='true' || $atts[$value_v['property']]=='false'){
                       $_output.= $key_v.':'.$atts[$value_v['property']].',';
                   }else{
                       $_output.= $key_v.':\''.$atts[$value_v['property']].'\',';
                   }
               }
            }else{
                $_output.= $key_v.':\''.$value_v['value'].'\',';
            }
        }
        $_output.='},';
    }

    $_output=trim($_output,',').'});</script>';
    return $_output;
}

add_shortcode(FELIX_PINTEREST_SLUG, 'felix_pinterest_short_code');


?>